// @flow
import React from 'react';
import { itIsAccessible } from '../../../../utils/tests';
import * as Stories from './range.stories';
import { Range } from '.';

const defaultProps = {
  label: 'Label',
  min: 1,
  max: 8,
  value: 2,
  onRangeChange: jest.fn(),
};
describe('Range', () => {
  describe('with an ariaLabelledBy label', () => {
    itIsAccessible(<Stories.RiskScoreExample />);
  });

  describe('With regular label prop passed', () => {
    itIsAccessible(<Range {...defaultProps} />);
  });
});
